Subject: Re: The "make" command and file handle problem
From: "Johan Bezem" <[email-masked]>
To: Andrew Chang <[email-masked]>
Cc: [email-masked]
Date: Tue, 09 Jul 2002 16:18:20 +0200

Did you specify a specific SHELL in your makefile? Which version of which
shell are you using? Since CMD.exe cannot handle your "here docment", you'll
be using another shell, I presume (bash? sh/ash?). I assume that you've
checked that your "stuff" is actually producing something...
Any messages on stdout/stderr? Did it run before, if yes, under which
configuration?

Hey, you know what kind of description to give!
If there's a real problem there, I'd like to know about it (approx. 40
developers depending on my makefiles...);
If you didn't solve the right problem, you might want to know about this too
;-)

Johan Bezem

Andrew Chang wrote:
> 
> On Tuesday 09 July 2002 01:23 am, Johan Bezem wrote:
> > Hi,
> >
> > Andrew Chang wrote:
> > > On cygwin1.3.12-1, I am running a multi-level makefile.
> > > For some reason the top level make seems corrupt the file handle
> > > of the its sub-process. (redirected i/o no longer works in the
> > > sub-process). Note that my top level makefile is a very complex makefile,
> > > it probably works fine if you have a simple makefile.
> > > Fortunately, I stumble across a workaround; It turns out if you spawn
> > > the lower level make via the DOS shell, the problem goes away.
> > >
> > > e.g.
> > >
> > > low_level_target:
> > >         cd sub_dir && cmd /c make low_level_stuff;
> > >
> > > Hope this will save someone sometime...
> >
> > Without further data as to used versions, this will hardly help anyone.
> >  make-3.79.1-7
> > using a "very complex makefile" (whatever that is) on multiple directory
> > levels under bash, and I have no problems...
> > How did you deduce that make is corrupting a file handle?
> The low level make runs a configure script, which
> uses a "here document", like so
> 
> cat >outfile <<EOF
> stuff
> stuf
> EOF
> 
> The outfile is empty after the above command is done.
> (note: the low level make is just compiling the standard gnu "patch" source,
>  there is nothing special about this target)
> Unfortunately I have not come up with a minimin test case yet, sorry.
> The dos shell workaround do work, however.
> 
> 
> >
> > Regards,,
> >
> > Johan Bezem
> > CSK Software AG
> 
> --
> Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
> Bug reporting:         http://cygwin.com/bugs.html
> Documentation:         http://cygwin.com/docs.html
> FAQ:                   http://cygwin.com/faq/

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/